सामग्री पर जाएँ

ERNIE-Image Trainer

इंटीग्रेट करें

मॉडल id ernie-image-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $2.40 2,400 API क्रेडिट · ≈ ₽253.11 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Baidu ट्रेनिंग #lora#personalization#trainer

कैप्शन वाली इमेज के zip से Ernie Image के लिए LoRA को प्रशिक्षित करता है

Baidu · फ़ाइल

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इनपुट इमेज और उनके caption फ़ाइलों वाली ZIP archive का URL। इमेज फ़ाइलनामों के लिए ROOT.EXT, जैसे 001.jpg, और संबंधित caption के लिए ROOT.txt, जैसे 001.txt, उपयोग करें। जिन इमेज के साथ caption टेक्स्ट फ़ाइल नहीं है, उनके लिए default_caption उपयोग किया जाता है।

डिफ़ॉल्ट 2000

कुल training step count।

उन्नत default_caption · learning_rate

लापता caption फ़ाइलों के स्थान पर उपयोग किया जाने वाला caption; इसके बजाय None देने पर उनकी अनुपस्थिति त्रुटि मानी जाती है।

डिफ़ॉल्ट 0.0005

Training learning rate।

POST /run/ernie-image-trainer?wait=20 कोटेशन → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

ERNIE-Image Trainer के बारे में

`images_data_url` से LoRA को फ़ाइन-ट्यून करता है, जिसमें कैप्शन वाली टेक्स्ट फ़ाइलों के साथ इमेज की zip होती है। `steps` 10 से 40000 तक होता है (डिफ़ॉल्ट 2000), और `learning_rate` का डिफ़ॉल्ट 0.0005 है। `default_caption` अनुपलब्ध कैप्शन फ़ाइलों की जगह भरता है। आउटपुट एक config फ़ाइल और diffusers LoRA वेट्स होते हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
images_data_urlआवश्यक
प्रकारstring
इनपुट इमेज और उनके caption फ़ाइलों वाली ZIP archive का URL। इमेज फ़ाइलनामों के लिए ROOT.EXT, जैसे 001.jpg, और संबंधित caption के लिए ROOT.txt, जैसे 001.txt, उपयोग करें। जिन इमेज के साथ caption टेक्स्ट फ़ाइल नहीं है, उनके लिए default_caption उपयोग किया जाता है।
stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2000
10 – 40,000
कुल training step count।
default_captionवैकल्पिक
प्रकारstring | null
लापता caption फ़ाइलों के स्थान पर उपयोग किया जाने वाला caption; इसके बजाय None देने पर उनकी अनुपस्थिति त्रुटि मानी जाती है।
learning_rateवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.0005
Training learning rate।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ernie-image-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers format में trained LoRA weights की ओर संकेत करने वाला URL।
config_file
object {url, content_type, file_name, file_size}प्रशिक्षित मॉडल की कॉन्फ़िगरेशन फ़ाइल का URL।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/ernie-image-trainer.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt